LibreOffice: cppu::OPropertySetHelper2 Class Reference

LibreOffice LibreOffice 24.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
cppu::OPropertySetHelper2 Class Reference

OPropertySetHelper plus XPropertySetOption. More...

`#include <propshlp.hxx>`

Inheritance diagram for cppu::OPropertySetHelper2:

## Public Member Functions
| OPropertySetHelper2 (OBroadcastHelper &rBHelper, IEventNotificationHook *i_pFireEvents=NULL, bool bIgnoreRuntimeExceptionsWhileFiring=false)
| Constructor.
virtual css::uno::Any | queryInterface (const css::uno::Type &rType) SAL_OVERRIDE
| Only returns a reference to XMultiPropertySet, XFastPropertySet, XPropertySet and XEventListener.
virtual void | enableChangeListenerNotification (sal_Bool bEnable) SAL_OVERRIDE
Public Member Functions inherited from cppu::OPropertySetHelper
| OPropertySetHelper (OBroadcastHelper &rBHelper)
| OPropertySetHelper (OBroadcastHelper &rBHelper, bool bIgnoreRuntimeExceptionsWhileFiring)
| Constructor.
| OPropertySetHelper (OBroadcastHelper &rBHelper, IEventNotificationHook *i_pFireEvents, bool bIgnoreRuntimeExceptionsWhileFiring=false)
| Constructor.
css::uno::Sequence< css::uno::Type > | getTypes ()
| eases implementing XTypeProvider::getTypes, returns the types of XMultiPropertySet, XFastPropertySet, XPropertySet
void | disposing ()
| Send a disposing notification to the listeners in the containers aBoundLC and aVetoableLC.
virtual void | setPropertyValue (const ::rtl::OUString &rPropertyName, const css::uno::Any &aValue) SAL_OVERRIDE
| Throw UnknownPropertyException or PropertyVetoException if the property with the name rPropertyName does not exist or is readonly.
virtual css::uno::Any | getPropertyValue (const ::rtl::OUString &aPropertyName) SAL_OVERRIDE
| Throw UnknownPropertyException if the property with the name rPropertyName does not exist.
virtual void | addPropertyChangeListener (const ::rtl::OUString &aPropertyName, const css::uno::Reference< css::beans::XPropertyChangeListener > &aListener) SAL_OVERRIDE
| Ignored if the property is not bound.
virtual void | removePropertyChangeListener (const ::rtl::OUString &aPropertyName, const css::uno::Reference< css::beans::XPropertyChangeListener > &aListener) SAL_OVERRIDE
| Ignored if the property is not bound.
virtual void | addVetoableChangeListener (const ::rtl::OUString &aPropertyName, const css::uno::Reference< css::beans::XVetoableChangeListener > &aListener) SAL_OVERRIDE
| Ignored if the property is not constrained.
virtual void | removeVetoableChangeListener (const ::rtl::OUString &aPropertyName, const css::uno::Reference< css::beans::XVetoableChangeListener > &aListener) SAL_OVERRIDE
| Ignored if the property is not constrained.
virtual void | setFastPropertyValue (sal_Int32 nHandle, const css::uno::Any &rValue) SAL_OVERRIDE
| Throw UnknownPropertyException or PropertyVetoException if the property with the name rPropertyName does not exist or is readonly.
virtual css::uno::Any | getFastPropertyValue (sal_Int32 nHandle) SAL_OVERRIDE
virtual void | setPropertyValues (const css::uno::Sequence< ::rtl::OUString > &PropertyNames, const css::uno::Sequence< css::uno::Any > &Values) SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Any > | getPropertyValues (const css::uno::Sequence< ::rtl::OUString > &PropertyNames) SAL_OVERRIDE
virtual void | addPropertiesChangeListener (const css::uno::Sequence< ::rtl::OUString > &PropertyNames, const css::uno::Reference< css::beans::XPropertiesChangeListener > &Listener) SAL_OVERRIDE
virtual void | removePropertiesChangeListener (const css::uno::Reference< css::beans::XPropertiesChangeListener > &Listener) SAL_OVERRIDE
virtual void | firePropertiesChangeEvent (const css::uno::Sequence< ::rtl::OUString > &PropertyNames, const css::uno::Reference< css::beans::XPropertiesChangeListener > &Listener) SAL_OVERRIDE

## Protected Member Functions
virtual | ~OPropertySetHelper2 ()
| You must call disposing before destruction.
Protected Member Functions inherited from cppu::OPropertySetHelper
void | fire (sal_Int32 *pnHandles, const css::uno::Any *pNewValues, const css::uno::Any *pOldValues, sal_Int32 nCount, sal_Bool bVetoable)
| This method fire events to all registered property listeners.
void | setFastPropertyValues (sal_Int32 nSeqLen, sal_Int32 *pHandles, const css::uno::Any *pValues, sal_Int32 nHitCount)
| Set multiple properties with the handles.
virtual IPropertyArrayHelper & | getInfoHelper ()=0
| This abstract method must return the name to index table.
virtual sal_Bool | convertFastPropertyValue (css::uno::Any &rConvertedValue, css::uno::Any &rOldValue, sal_Int32 nHandle, const css::uno::Any &rValue)=0
| Converted the value rValue and return the result in rConvertedValue and the old value in rOldValue.
virtual void | setFastPropertyValue_NoBroadcast (sal_Int32 nHandle, const css::uno::Any &rValue)=0
| The same as setFastPropertyValue; nHandle is always valid.
virtual void | getFastPropertyValue (css::uno::Any &rValue, sal_Int32 nHandle) const =0
| The same as getFastPropertyValue, but return the value through rValue and nHandle is always valid.
void | setDependentFastPropertyValue (sal_Int32 i_handle, const css::uno::Any &i_value)
| sets an dependent property's value
| ~OPropertySetHelper ()
| You must call disposing before destruction.

## Additional Inherited Members
Static Public Member Functions inherited from cppu::OPropertySetHelper
static css::uno::Reference< css::beans::XPropertySetInfo > | createPropertySetInfo (IPropertyArrayHelper &rProperties)
| The property sequence is created in the call.
Protected Attributes inherited from cppu::OPropertySetHelper
OBroadcastHelper & | rBHelper
| The common data of a broadcaster.
OMultiTypeInterfaceContainerHelperInt32 | aBoundLC
| Container for the XPropertyChangedListener.
OMultiTypeInterfaceContainerHelperInt32 | aVetoableLC
| Container for the XPropertyVetoableListener.
Impl *const | m_pReserved
| reserved for future use.

## Detailed Description

OPropertySetHelper plus XPropertySetOption.

Attention
  The getTypes() inherited from OPropertysetHelper does not cover XPropertySetOption.

## Constructor & Destructor Documentation

## ◆ OPropertySetHelper2()

cppu::OPropertySetHelper2::OPropertySetHelper2 | ( | OBroadcastHelper & | rBHelper,
|  | IEventNotificationHook * | i_pFireEvents = NULL,
|  | bool | bIgnoreRuntimeExceptionsWhileFiring = false )
| explicit

Constructor.

See OPropertySetHelper constructors documentation

## ◆ ~OPropertySetHelper2()

virtual cppu::OPropertySetHelper2::~OPropertySetHelper2 | ( |  | ) |
| protectedvirtual

You must call disposing before destruction.

## Member Function Documentation

## ◆ enableChangeListenerNotification()

virtual void cppu::OPropertySetHelper2::enableChangeListenerNotification | ( | sal_Bool | bEnable | ) |
| virtual

## ◆ queryInterface()

virtual css::uno::Any cppu::OPropertySetHelper2::queryInterface | ( | const css::uno::Type & | rType | ) |
| virtual

Only returns a reference to XMultiPropertySet, XFastPropertySet, XPropertySet and XEventListener.

Reimplemented from cppu::OPropertySetHelper.

The documentation for this class was generated from the following file:

- cppuhelper/propshlp.hxx